<!doctype html public "-//w3c//dtd html 4.01 transitional//de">
<html lang="de">

<Head>
    <Title>Posteingang</title>
    <meta name="robots" content="nofollow">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="style_bulkUpload.css" />
    <link rel="stylesheet" type="text/css" href="style_archiv.css" />
    <?php if($_GET['mob'] == 1) echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"style_archiv_mobile.css\" />"; ?>
    <style>
    :root {
        --contentbgcolor: #ffffff;
        --lbval1: 5px;
        --lbval2: 20px;
        --lbval3: 50px;
        --lbval4: 75px;
        --color: #404040;
        --bgcolor: #ffffff;
        --bodybgcolor: #eee;
        /* 00cc0018 */
        --dialogbgcolor: #ffffff;
        --themecolor: #9090f0;
        /*#ff807b; #8050f0; #00807b; 00605b*/
        --themecoloralt: #00504b;
        --dialogtitlebgcolor: var(--themecolor);
        --acolor: var(--themecoloralt);
        /*00504b*/
        --ahrefcolor: var(--themecolor);
        --dialogtoptitlecolor: #000;
        --dialogtoptitlecontrolscolor: #000;
        --dialogtoptitleclosecolor: #fff;
        --dialogtoptitleclosehovercolor: #ee0000;
        --dialogendtitlecolor: #000;
        --dialogendtitlebgcolor: #88880055;
        /* #00a0a0; */
        --dialogendtitleacolor: #900;
        /*var(--themecoloralt);*/
        --dialogendtitleahovercolor: #900;
        /*var(--themecoloralt);*/
        --bgc: #b2e1ff;
    }

    body {
        color: #000000;
        background: var(--bgc);
    }

    .headl {
        font-family: arial, verdana, geneva, helvetica, sans-serif;
        font-weight: normal;
        font-size: 1em;
        background: #cccccc;
        color: blue;
    }

    td,
    th {
        border: 1px solid;
    }

    tdd {
        background: #faa;
        border: 1px solid #cc9;
    }

    a.bmll {
        border: 1px outset #ddd;
        padding: 1px;
        vertical-align: 1px;
    }

    a.bml {
        border: 1px outset #ddd;
        background: #ddd;
        text-decoration: none;
        font-family: sans-serif;
        font-size: 80%;
        color: darkgreen;
    }
    </style>
    <script type="text/javascript">
    //function DOMLoaded() {
    //}
    function aligndialog() {
        // Align dialog box
        var docwidth = document.body.clientWidth;
        var dialog = document.getElementById("dialog");
        var rect = dialog.getBoundingClientRect();
        //dialog.style.left = ((docwidth - rect.width) / 2) + "px";
        dialog.style.left = ((docwidth - rect.width)) + "px";
        dialog.style.right = "60px";
    }

    function loaded() {
        aligndialog();
    }
    //document.addEventListener("DOMContentLoaded", DOMLoaded);
    window.addEventListener("load", loaded);

    function divminimize(div, id = "", classname = "contentdiv") {
        //div.closest("div .contentdiv").children[1].classList.add("minimize");
        var element, name, arr;
        element = div.closest("." + classname).children[1];
        name = "minimize";
        arr = element.className.split(" ");
        if (arr.indexOf(name) == -1) {
            element.className += " " + name;
        }
    }

    function divexpand(div, id = "", classname = "contentdiv") {
        //div.closest("div .contentdiv").children[1].classList.remove("minimize");
        //var cn = "/\bminimize\b/g";
        var cn = new RegExp("minimize", "g");
        div.closest("." + classname).children[1].className = div.closest("." + classname).children[1].className.replace(
            cn, "");
    }

    function divclose(div, id = "", classname = "contentdiv") {
        if (id == "DialogTitle") {
            CloseDialog();
        } else {
            div.closest("div .contentdiv").classList.add("close");
        }
    }

    function ShowDialog() {
        //HideDialogNotice();
        var dialog = document.getElementById("dialog");
        //var scrollx = document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft;
        var scrolly = document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop;
        //this.orx = scrolly;

        //dialog.style.left = scrollx + "px";
        dialog.style.top = scrolly + "px";
        dialog.style.visibility = "visible";
        dialog.style.opacity = "1";
        dialog.style.right = "60px";
    }

    function DisplayItem(Item, ItemType, id = "") {
        var winnegoffset = 30;
        if (ItemType == "pdf") {
            // Align dialog box
            var docheight = document.body.clientHeight;
            var docwidth = document.body.clientWidth;
            var dialog = document.getElementById("dialog");
            var dialogheight = window.innerHeight - winnegoffset; //docheight;
            //--dialog.style.height = dialogheight + "px";
            dialog.style.height = "0px";
            dialog.style.height = "";
            //var rect = dialog.getBoundingClientRect();
            //dialog.style.top = "";
            document.getElementById("DialogData").innerHTML = '';
            document.getElementById("DialogControls").innerHTML = '<a href="' + Item + '" target="_blank">Download</a>';
            //&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	\
            //<a href="javascript:GetFaxContacts();">Send Fax</a>	\
            ';//<input type="button" class="buttongeneral" name="Close" id="Close" value="Close" onclick="CloseDialog();" />';

            var dcrect = document.getElementById("DialogControls").getBoundingClientRect();
            var dtrect = document.getElementById("DialogTitle").getBoundingClientRect();
            var cetrect = document.getElementsByClassName("contentendtitle")[0].getBoundingClientRect();
            document.getElementById("DialogData").style.height = (dialogheight - dtrect.height - dcrect.height - cetrect
                .height) + "px";
            document.getElementById("DialogData").style.height = "auto"; //(dialogheight - 60) + "px";
            document.getElementById("DialogData").style.backgroundImage = "url('images/pdf-inline-example.png')";
            document.getElementById("DialogTitle").innerHTML = "PDF Preview";
            document.getElementById("DialogData").innerHTML = '<object data="' + Item +
                '" type="application/pdf" width="100%" height="' + (dialogheight - dtrect.height - dcrect.height -
                    cetrect.height) + '" class="pdfviewer"></object>';
			var datarect = document.getElementById("DialogData").getBoundingClientRect();
			if (datarect.height == 0) {
					// background image dimensions
					if (docheight > 500) {
						document.getElementById("DialogData").style.height = 500 + "px";
					} else {
						document.getElementById("DialogData").style.height = docheight + "px";
					}
					/*if (docwidth > 792) {
						document.getElementById("DialogData").style.width = 500 + "px";
					} else {
						document.getElementById("DialogData").style.width = docwidth + "px";
					}*/
				}
            //<br /><a href="' + Item + '">Download</a>';
            ShowDialog();
        }
    }

    function CloseDialog() {
        document.getElementById("dialog").style.visibility = "hidden";
        document.getElementById("dialog").style.opacity = "0";
    }


 var StateCheckBoxSelected = false;  // global variable for function ToggleCheckBoxAll
    function ToggleCheckBoxAll() {
        // select all or clear all!
        var cb = document.querySelectorAll('[name="sel_it"]');
        //var cbb = document.querySelectorAll('[name="sel_it_dummy"]');
        if ( StateCheckBoxSelected == true ) {
            for (var i = 0; i < cb.length; i++) {
                //cbb[i].value = "";
                //cbb[i].style.backgroundColor = "lightgrey";
                cb[i].checked = false;
            }
            StateCheckBoxSelected = false;
        }
        else {
            for (var i = 0; i < cb.length; i++) {
                //cbb[i].value = "X";
                //cbb[i].style.backgroundColor = "green";
                cb[i].checked = true;
            }
            StateCheckBoxSelected = true;
        }
    }

    </script>
</head>

<!=================================BODY========================================>

    <body>
        <font face="Arial,Helvetica">
            <div id="body">
                <div class="contents" id="contentsdiv">
                    <br />
                    <?php
	function dialogdivcontrols($title, $id = "", $classname = "contentdiv") {
		echo '<div class="contenttoptitleoffset"></div>
				<div class="contenttoptitletitle" id="' . $id . '">' . $title . '</div>
				<div class="contenttoptitlecontrols">
					<div class="contenttoptitleminimize" onclick="divminimize(this, \'' . $id . '\', \'' . $classname . '\');">
						<div class="contenttoptitleminimizeshape"></div>
					</div>
					<div class="contenttoptitleexpand" onclick="divexpand(this, \'' . $id . '\', \'' . $classname . '\');">
						<div class="contenttoptitleexpandshape"></div>
					</div>
					<div class="contenttoptitleclose" onclick="divclose(this, \'' . $id . '\', \'' . $classname . '\');">x</div>
				</div>
				';
		return 1;
	}
?>
                    <!--<div id="dialog">-->
                    <div class="dialogcontentdiv" id="dialog">
                        <div class="contenttoptitle">
                            <?php dialogdivcontrols("Documents details", "DialogTitle", "dialogcontentdiv"); ?>
                        </div>
                        <div class="content">
                            <!--<div id="DialogTitle">PDF</div>-->
                            <div id="DialogData">
                                <?php //include("DocForm.php");
					?>
                            </div>
                            <div id="DialogControls">
                                <!--<input type="button" class="buttongeneral" name="Close" id="Close" value="Close" onclick="CloseDialog();" />
					<input type="button" class="buttondel" name="Confirm" id="Confirm" value="Confirm" onclick="ConfirmApprove();" />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="button" class="buttongeneral" name="Cancel" id="Cancel" value="Cancel" onclick="CloseDialog();" />
					-->
                            </div>
                        </div>
                        <div class="contentendtitle"><a href="javascript:CloseDialog();">Close</a></div>
                    </div><?php /* End <div class="contentdiv"> */ ?>
                    <!--</div>--><?php /* End <div id="dialog"> */ ?>
                    <div id="topbar">

                        <?php

//$pers = person, a mobile user who sits at different PCs (Workstations)
$pers = $_GET['pers'];  // person. Can switch to another persons Inbox with one click
//echo "<br>k2k2 GET pers: ".$pers;

//$wsid = a PC (Workstation) that offers certain functions. Different persons with their individual Inbox work here
$wsid = $_GET['wsid'];   //do not lose the id, alway the same, sometimes used
//echo "<br>k3k3 GET wsid: ".$wsid;

//$ano9 = anonymisation , user is sitting in public transport car an other people look into his screen. Then Names have to be anonymised
$ano9 = $_GET['ano9'];
//echo "<br>bxbx GET ano9 (anonymisation): ".$ano9;

if (isset($_POST['work'])) {     // POST overwrites values of GET
	 $work = $_POST['work'];    // work = what is todo, origin from felder.php
	 $wsid = $_POST['wsid'];    // if isset work , then GET wsid was empty
	 $pers = $_POST['pers'];    // if isset work , then GET pers was empty
     $ano9 = $_POST['ano9'];
     //mob9 no longer used, its only for loading mobile css
	 $zUpdate = $_POST['zUpdate']; // Update SQL-String
     $numbers = $_POST['numbers']; // e.g. 1234;456789;23;  from select.php
     $B_patNr = $_POST['B_patNr']; // patient number of felder.php
     //echo "<br>pypy1 POST wsid: ".$wsid;
     //echo "<br>pypy1 POST pers: ".$pers;
     //echo "<br>pypy1 POST work: ".$work;
     //echo "<br>pypy2 POST numbers: ".$numbers;
     //echo "<br>pypy5 zUpdate: ".$zUpdate;
     // echo "<br>pypy7 ano9: ".$ano9;
}

$stoggle = (!empty($_POST['stoggle']) ? $_POST['stoggle'] : 'ASC'); // toggle ASC / DESC

//echo "<br>q9q9  wsid:" .$wsid."  pers: ".$pers."<br>";  // test: ".$test;
?>
                        <form action="inbox.php" name="EingForm" onSubmit="" method="post">

                            <!-- input name="dummy" id="dummy" size=10 type="hidden" value="hallo" -->
                            <input name="pers" id="pers" size=30 type="hidden" value="<?php echo $pers; ?>">
                            <!-- person : A1, A2, A3, ... (doctors). MFP = group of employees -->
                            <input id="wsid" name="wsid" size=4 type="hidden" value="<?php echo $wsid; ?>">
                            <!-- workstation ID -->
                            <input name="work" id="work" size=30 type="hidden" value="">
                            <input name="stoggle" id="stoggle" size=30 type="hidden" value="">
                            <input name="eID" id="eID" size=30 type="hidden" value="">
                            <!-- input type="submit" value="absenden" name="absenden" id="absenden" -->

                            <?php
include("./db72.php");
include("./functions.php");
//require('./db.php');
//echo "<br>dldl dbname:" . $dbname."<br>";

  //Tabelle erzeugen
       // *********************************************
       // ************* Sortierbuttons ****************
       // *********************************************

// the workstations have a second ID $wsid2 to access export data from AIS
// with AIS  EL solved by Windows-shares that are mounted in directory C, D, E, ..
// Attention!!!! Synchonize with exactly same switch ... in patarch.php !!!


switch ($work) {
case "edit":    //"edit" is the only possible value
         $u= str_replace("°^§","'",$zUpdate);
         //echo "<br>o9o9  zUpdate: ".$u;
     	 $result= mysqli_query($connect,$u);
         $err=mysqli_error();
         log_sql($u,$err,basename(__FILE__,'ZZ'),$connect);
    	 echo "<br>".$err;   // printed if not empty

         // Patienten-Name und Geb-Datum in Tabelle patimport eintragen,
         // Quelle: /home/david/trpword/text.<wsid>
  if ($wsid != "") {
         //echo "export  einlesen!";
         $fpath="/var/samba/trp/".$wsid2."/";   //.$wsid;
        //$fpath="/home/archiv/trp/";   //.$wsid;
         //echo "<br>Pfad: ".$fpath;   // z.B. /home/archiv/trp/E
         //$cmd="     egrep '^[0-9]{3}3000' ".$fpath."pat.bdt_komsys | cut -c 8-  >  ".$fpath."pat-archiv.txt;"; //nr   patient number
         //$cmd=$cmd."egrep '^[0-9]{3}3101' ".$fpath."pat.bdt_komsys | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //nname  lastname
         //$cmd=$cmd."egrep '^[0-9]{3}3102' ".$fpath."pat.bdt_komsys | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //vname  firstname
         //$cmd=$cmd."egrep '^[0-9]{3}3110' ".$fpath."pat.bdt_komsys | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //sex  1=male  2=female
         //$cmd=$cmd."egrep '^[0-9]{3}3103' ".$fpath."pat.bdt_komsys | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //date birth  e.g. 25051981  without points
         //$cmd=$cmd."egrep '^[0-9]{3}3107' ".$fpath."pat.bdt_komsys | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //Street
         //$cmd=$cmd."egrep '^[0-9]{3}3106' ".$fpath."pat.bdt_komsys | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //PLZ Ort   ZIP  City
         //$cmd=$cmd."egrep '^[0-9]{3}3626' ".$fpath."pat.bdt_komsys | cut -c 8-  >> ".$fpath."pat-archiv.txt;"; //Tel-Nr   telephone number
         //$REM_HOST=exec("$cmd 2>&1 >>arch.log");
         $f=$fpath."pat-archiv.txt";
         $fp=fopen($f, "r");
         $pNr=chop(fgets($fp,10));   // die ersten 10 Zeichen, also PAt-Nr > 9 Millionen
         //echo "PAt-Nr: ".$pNr;
         $lstName=chop(fgets($fp,50));
         $fstName=chop(fgets($fp,50));
         $sexNr=chop(fgets($fp,10));
         if ($sexNr=="1") $sex="M"; else $sex="W";
         // echo "<br>vName: ".$vName." sexNr: ".$sexNr."  sex: ".$sex;
         // $dummy=chop(fgets($fp,100));  // fuer davidX erforderlich
         // echo "dummy: ".$dummy;
         $datBirthNoPoints=chop(fgets($fp,11));
         $datBirth9=substr($datBirthNoPoints,0,2).".".substr($datBirthNoPoints,2,2).".".substr($datBirthNoPoints,4,4);
         $street9=chop(fgets($fp,50));
         $zip_city=chop(fgets($fp,50));
         $telphone=chop(fgets($fp,50));
         // echo "uwuw  Geb: ".$datBirth9;    // z.B.  25.05.1981
         // ================================= alter david-Code ANFANG ====================
	 //$f="/home/david/trpword/text.".$wsid;
	 //echo "text-Datei: ".$f;
         //$fp=fopen($f, "r");
	 //$pNr=chop(fgets($fp,10));
	 //echo "PAt-Nr: ".$pNr;
	 //$nName=chop(fgets($fp,50));
	 //$vName=chop(fgets($fp,50));
	 //$sex=chop(fgets($fp,10));
	 //echo "sex: ".$sex;
	 //$dummy=chop(fgets($fp,100));
	 //echo "dummy: ".$dummy;
	 //$gebDat=chop(fgets($fp,11));
	 //echo "Geb: ".$gebDat;
         // ================================= david-Code ENDE ====================

	 fclose($fp);
	 if ($pNr == $B_patNr) {
         //echo "<br> hzhz  same patient -> insert/ update";
	    $SQL="select patNrP from patimport where patNrP=".$pNr;
	    $res= mysqli_query($connect,$SQL);
            $err=mysqli_error();
	    // bei 'Empty Set' gibt es keine Fehlermeldung
        if ($row=mysqli_fetch_array($res)) {
	       //echo "  ex. bereits -> update";
	       $SQL="update patimport set fiName='".$fstName."',laName='".$lstName."',";
	       $SQL.="dateBirth='".$datBirth9."',sexP='".$sex."',";
  	       $SQL.="streetP='".$street9."',zipCity='".$zip_city."',";
  	       $SQL.="telephoneP='".$telphone."' where patNrP=".$pNr;
	       //echo "<br>sqsq SQL: ".$SQL;
	       $dummy= mysqli_query($connect,$SQL);
	       $err=mysqli_error();
            } else {
	       //echo "  ex. noch nicht -> insert";
	       $SQL="insert into patimport (patNrP,fiName,laName,dateBirth,sexP,streetP,zipCity,telephoneP) values";
	       $SQL.=" (".$pNr.",'".$fstName."','".$lstName."','".$datBirth9."','".$sex."','".$street9."','".$zip_city."','".$telphone."')";
	       $dummy= mysqli_query($connect,$SQL);
   	       echo "<br>s3s3 SQL: ".$SQL;
	       $err=mysqli_error();
	    }
	 }  // if $pNr == $B_patNr
   }  // if $wsid != ""

   break;

   default:
       //echo ("<br><b> unknwon value in variable $work </b> ");
}  // switch ($wsid)



  switch ($pers) {
     case "A1":
         $archivPers="archA1";
         $pNam=$pNamA1;
     break;
     case "A2":
         $archivPers="archA2";
         $pNam=$pNamA2;
     break;
     case "A3":
         $archivPers="archA3";
         $pNam=$pNamA3;
     break;
     case "A4":
         $archivPers="archA4";
         $pNam=$pNamA4;
     break;
     case "A5":
         $archivPers="archA5";
         $pNam=$pNamA5;
     break;
     case "A6":
         $archivPers="archA6";
         $pNam=$pNamA6;
     break;
     case "MFP":
         $archivPers="archMFP";  /* === archMFP is: archive from employees = "manager", MFP = Medizinisches Fach Personal */
         $pNam="Manager";
         break;
    default:
       echo ("<br><b> Fehler! Unbekannte Person. Es wird Arzt1 angenommen</b>");
       $archivPers="archA1";
}



?>


                            <div id="header">
                                <div class="segmentmedium">
                                    <span class="logo"><a href="">Posteingang</a></span>
                                </div>
                                <div class="segmentsmall">
                                    <?php echo $pNam ?>
                                    <?php
				   //echo "wsid:".$wsid; echo "pers:".$pers;
				?>
                                </div>
                                <div class="segmentwideleft">
                                    <?php // Świtch to the Inbox of another 'pers'on on same workstation (wsid). Employees = 1 Inbox "Manager" ?>
                                    <input type=button class='buttonsimple' name='' value='<?php print $buttonNamA1;?>'
                                        onclick="top.location='index.php?pers=A1&wsid=<?php echo $wsid; ?>'">
                                    <input type=button class='buttonsimple' name='' value='<?php print $buttonNamA2;?>'
                                        onclick="top.location='index.php?pers=A2&wsid=<?php echo $wsid; ?>'">
                                    <input type=button class='buttonsimple' name='' value='<?php print $buttonNamA3;?>'
                                        onclick="top.location='index.php?pers=A3&wsid=<?php echo $wsid; ?>'">
                                    <input type=button class='buttonsimple' name='' value='<?php print $buttonNamA4;?>'
                                        onclick="top.location='index.php?pers=A4&wsid=<?php echo $wsid; ?>'">
                                    <input type=button class='buttonsimple' name='' value='Manager'
                                        onclick="top.location='index.php?pers=MFP&wsid=<?php echo $wsid; ?>'">
                                    <input type=button class='buttonsimple' name='' value='.'
                                        onclick="top.location='index.php?pers=MFP&wsid=<?php echo $wsid; ?>&ano9=1'">
                                </div>
                            </div>
                    </div>

                    <?php
//$SQL= "drop table tmp";
//$res = mysqli_query($connect,$SQL);


// Inbox entries with documents that are just scanned and not yet merged to a pdf for
// this person archA1, archA2, .. archMFP ($pers A1, A2, ... MFP):
// Scanned documents have always 2, 4, 6, .. sides. Every scanned page has 2 sides. doarch.id  is multiple!
// BTW: $archiv=0 not necessary because a document with single sides can't be archived, its always =0
//$SQL= "create temporary table tmp select doarch.id,scans.scanPage, scans.pposition from doarch, scans where doarch.id=scans.id_d and doarch.".$archivPers."=0";
////$SQL= "create table tmp select doarch.id,scans.scanPage, scans.pposition from doarch, scans where doarch.id=scans.id_d and doarch.".$archivPers."=0";
        //$dummy = mysqli_query($connect,$SQL);

////$SQL= "drop table tmp2";
////$res = mysqli_query($connect,$SQL);

// How many real documents? Ignore multipe id's of scanned documents
        //$SQL= "create temporary table tmp2 SELECT id, count(*) as anz from tmp group by id";
//$SQL= "create table tmp2 SELECT id, count(*) as anz from tmp group by id";
        //$dummy = mysqli_query($connect,$SQL);

//$SQL="select doarch.*, scans.scanPage from d,scans where doarch.id=scans.id_d ";

        //$SQL="select doarch.*,patimport.*,anz from doarch left join tmp2 on doarch.id=tmp2.id ";
        //$SQL.="left join patimport on doarch.patNr=patimport.patNrP where doarch.".$archivPers."=0 "; //Leerz.  am Ende!!
        $SQL="select doarch.*,patimport.*,anz from doarch left join (";
        $SQL.="select doarch.id,count(*) as anz from doarch, scans where doarch.id=scans.id_d and doarch.".$archivPers."=0 group by doarch.id) tmp2 ";
        $SQL.=" on doarch.id=tmp2.id left join patimport on doarch.patNr=patimport.patNrP where doarch.".$archivPers."=0 ";

 //echo "<br>sbsb SQL: ".$SQL;

//echo "<br>fvfv work: ".$work;

// New Toggle Condition
if ($stoggle == "ASC") {
    $stoggle = "DESC";
}
else if ($stoggle == "DESC") {
    $stoggle = "ASC";
}
else {
    $stoggle = "ASC";
}

switch ($work) {
case "sort_id":  //
     $SQL.="order by id $stoggle";
    break;
  case "s_DatEin":
     $SQL.="order by dateIn $stoggle";
    // echo $SQL;
    break;
  case "s_dtypUser":
     $SQL.="order by dtypUser $stoggle, dateIn $stoggle";
    break;
  case "s_patNr":
      $SQL.="order by patNr $stoggle, datUser $stoggle";  /* === datUser is: date the user assigned to the document  === */
    // echo $SQL;
    break;
  case "s_fromTo":
     $SQL.="order by fromTo $stoggle, dateIn $stoggle";
    // echo $SQL;
    break;
  case "s_fromToName":
     $SQL.="order by fromToName $stoggle, dateIn $stoggle";
     //echo $SQL;
    break;
  case "s_discipl":
     $SQL.="order by discipl $stoggle, dateIn $stoggle";
     //echo $SQL;
    break;
  case "s_datUser":
     $SQL.="order by dateIn $stoggle";
     //echo $SQL;
    break;
  case "delete_for_all":    // delete the selected documents for all doctors als employee (manager) from database, not only make unvisible for me
     //echo "<br>i2i2 loesch-alle: ".$numbers;
     $nr=preg_split("/;/",$numbers,100);
     $i=0;
     $not_deleted="";
     while ( $nr[$i] ) {
        //echo $nr[$i].";";
       // has some of others already arhived? = is somewhere a "A" for archived in inbox column or a "1" in sql table?
       $SQL2="select archMFP,archA1,archA2,archA3,archA4,archA5,archA6 from doarch where id=".$nr[$i];
       //echo "<br>d8d8  SQL: ".$SQL2;
       $res = mysqli_query($connect,$SQL2);
       $row=mysqli_fetch_array($res);
       //echo "<br>v7v7  archiviert A1: ".$row[archA1].", A2:".$row[archA2].", A3:".$row[archA3].", A4:".$row[archA4];
       if ($row[archA1]=='1' || $row[archA2]=='1' || $row[archA3]=='1' || $row[archA4]=='1' || $row[archA5]=='1' || $row[archA6]=='1') {
           $debugString=$row[archMFP]." - ".$row[archA1]." - ".$row[archA2]." - ".$row[archA3]." - ".$row[archA4]." - ".$row[archA5]." - ".$row[archA6]." Nr. ".$nr[$i];
           //echo "<br>tgtg Werte: ".$debugString;
           // document can't be deleted because archived ("1" in archXXX) by at least one of the doctors!
           echo "<br><strong>Der Datensatz kann nicht gelöscht werden weil von zumindest einem Arzt bereits archiviert!</strong>";
           $not_deleted.=$nr[$i].",";
       } else {  // document is allowed to be deleted
           $SQL2="select docFileName from doarch where id=".$nr[$i];
           $res = mysqli_query($connect,$SQL2);
           $row=mysqli_fetch_array($res);
           if ($row[docFileName] == "") {
               //echo "<br>eses There are still tifs in table scans ";
               $SQL2="select scanPage from scans where id_d=".$nr[$i];
               $res = mysqli_query($connect,$SQL2);
               while ($row = mysqli_fetch_array($res)) {
                   //echo" delete: ".$row[scanPage];
                   unlink("process/".$row[scanPage]);
                   //echo"<br>";
                   $thumb=strrev("gnp".substr(strrev($row[scanPage]),3,100));
                   unlink("process/thumb/".$thumb);
                   //echo" thumb delete: ".$thumb;
               }
               //  $archivPers=0 im SQL-Statement ist eigentlich überflüssig .. ist halt reine Vorsorge!
               $SQL2="delete from scans where id_d=".$nr[$i];
               //echo"<br> ".$SQL2;
               $dummy=mysqli_query($connect,$SQL2);
               echo mysqli_error();
               $SQL2="delete from doarch where ".$archivPers."=0 and id=".$nr[$i];
               //echo"<br> ".$SQL2;
               $dummy=mysqli_query($connect,$SQL2);
               echo mysqli_error();
           } else {
               //echo"<br>kvkv No tifs in scans, only delete pdf/jpg/... from doarch: ".$row[docFileName];
               unlink ("docc/".$row[docFileName]);
               $SQL2="delete from doarch where id=".$nr[$i];
               //echo"<br>kbkb  Table, row  ".$nr[$i]." delete";
               $dummy=mysqli_query($connect,$SQL2);
               echo mysqli_error();
           }
       }
       $i++;
     }
     $SQL.="order by id";  // für die kommende Anzeige
     break;
  case "delete_me":  // mark for user (me) as "delete", not for colleques, they may say "archive! not delete"
     //echo "uxux: loesch-mich: ".$numbers;
     $nr=preg_split("/;/",$numbers,100);
     $i=0;
     while ( $nr[$i] ) {
       //echo $nr[$i].";";
       // missing function: what happens it all users have set a recommendation = "2" in doarch-table for delete? - Then these documente should be deletet
       $SQL2="update doarch set arch".$pers."=2,archFirst=1 where id=".$nr[$i];  // $archivPers = "arch".$pers !!
       $dummy = mysqli_query($connect,$SQL2);
       $i++;
     }

     $SQL.="order by id";  // für die kommende Anzeige
     break;
  case "doArchive":
  case "arch_forAll":
      //echo "<br>u1u1  archive: ".$numbers;
     $nr=preg_split("/;/",$numbers,100);
     $i=0;
     while ( $nr[$i] ) {
       // echo$nr[$i].";";
       $SQL2="select docFileName from doarch where id=".$nr[$i];
       $res = mysqli_query($connect,$SQL2);
       $row=mysqli_fetch_array($res);
       if ($row[docFileName] == "") {
         //echo "there are still tifs in table scans!";
         $SQL2="select scanPage from scans where id_d=".$nr[$i];
         $res = mysqli_query($connect,$SQL2);
         $row = mysqli_fetch_array($res);
         $tiff=$row[scanPage];   /* === scanPage is: scanned page in table "scans", not yet merged to a pdf document  === */
         if ($row = mysqli_fetch_array($res)) {
             // error! exist more that 1 tif in table scans! Javascipt should have caught that exception
             echo "<br>Fehler: es sind mehr als 1 tiff in scans! javascript von select.php hätte das abfagen sollen";
             echo "<br>Abbruch!";  //cancel
         } else {
             //echo "<br>one tif exist, take over in doarch table, to field 'docFileName'";
             $SQL2="update doarch set docFileName='".$tiff."',dtype='scan-tiff'  where id=".$nr[$i];
             $dummy=mysqli_query($connect,$SQL2);
             echo mysqli_error();

             //echo "<br>delete records from scans ..";
             $SQL2="delete from scans where id_d=".$nr[$i];
             $dummy=mysqli_query($connect,$SQL2);
             echo mysqli_error();

             //echo "<br> das thumbnail des tiff löschen ..";
             $thumb=strrev("gnp".substr(strrev($tiff),3,100));
             unlink("process/thumb/".$thumb);

             //echo "<br>jbjb: archive: update ... set $archivPers=1 ";
             $SQL2="update doarch set ".$archivPers."=1,archFirst=1 where id=".$nr[$i];
             $dummy=mysqli_query($connect,$SQL2);
             // echo mysqli_error();
         }
       } else {
           //echo "jwjw: archive: ".$row[$i];
           if ($work == "arch_forAll") {
               $SQL2="update doarch set archA1=1,archA2=1,archA3=1,archA4=1,archA5=1,archA6=1,archMFP=1,archFirst=1 where id=".$nr[$i];
           }  else {
               $SQL2="update doarch set ".$archivPers."=1,archFirst=1 where id=".$nr[$i];
           }
           $dummy=mysqli_query($connect,$SQL2);
           //echo mysqli_error();
        }
       $i++;
     }
     $SQL.=" order by id";  // für die kommende Anzeige
     break;
  /* case "archiveAllThisDoctor":  // deprecated, no longer used
      //echo "<br>u2u2  archive alle Dokuments in Inbox of ".$pers;
     $SQL2="update doarch set ".$archivPers."=1 where archMFP=1;";
     $dummy=mysqli_query($connect,$SQL2);
     $SQL.=" order by id";  // für die kommende Anzeige
     break;  */
  case "fax_rotate":
     $SQL2="select docFileName from doarch where id=".$numbers;
     //echo "<br>z2z2  SOL: " . $SQL2;
     $res = mysqli_query($connect,$SQL2);
     $row=mysqli_fetch_array($res);
     // substitute 1.pdf (get last 5 chars)  at the end to 2.pdf or vice versa
     $getPosNumber = strlen($row[docFileName]) - 5;
     //echo "<br>fbfb: The Position Number: ".$getTheNumber;
     //echo "<br>fbfb: The Char at that position: ".$row[docFileName][$getPosNumber];
     $getTheNumber = $row[docFileName][$getPosNumber];
     if ($getTheNumber == 1) {
         $newFileName = substr($row[docFileName], 0, strlen($row)-5) . "2.pdf";
         // example: 20210331094412_faxx_2.pdf
         $cmd="mv process/" . $newFileName . " docc/;";
         $cmd.="mv docc/" . $row[docFileName] . " process/";
         $dummy=exec("$cmd 2>&1 >>arch.log");
     }
     else {
         $newFileName = substr($row[docFileName], 0, strlen($row)-5) . "1.pdf";
         //example: 20210331094412_faxx_1.pdf    ...faxx_1.pdf is rotation of ...faxx_2.pdf
         $cmd="mv process/" . $newFileName . " docc/;";
         $cmd.="mv docc/" . $row[docFileName] . " process/";
         $dummy=exec("$cmd 2>&1 >>arch.log");
     }
     //echo "<br>krkr  newfileName: " . $newFileName;
     $SQL3="update doarch set docFileName='".$newFileName."' where id=".$numbers;
     //echo "<br>z8z8  SQL3: " . $SQL3;
     $dummy = mysqli_query($connect,$SQL3);
     $SQL.=" order by id";
     break;

//-Fax-: fax code starts (copied from patarch.php), unused! new fax-technique / software used, see select.php!  to delete later!
  case "fax":
      $REM_HOST=$_SERVER['REMOTE_HOST'];  // A, B, C, H, ... (Eintrag in /etc/hosts)
      // funktioniert nicht, trotz Eintrag in /etc/hosts!!
      if( empty($_SERVER['REMOTE_HOST'] == FALSE) ){  //check
          $REM_HOST = $_SERVER['REMOTE_HOST'];
          echo "<br>cbcb REMOTE HOST erkannt: ".$_SERVER['REMOTE_HOST'];
      }else{
          $ipremote = $_SERVER['REMOTE_ADDR']; // real IP address
          $cmd="grep ".$ipremote." /etc/hosts | awk '{print $2}'";
          // Annahme: /etc/hosts sieht so aus:  192.168.128.108  E
          $REM_HOST = exec("$cmd");  // = A, B, C, ...
          // fehlt: if $REM_HOST not in { A, B, C, ... }  then Fehlermeldung auf den Schirm drucken!
          //echo "<br>gbgb ipremote: ".$ipremote."   REMOTE HOST der hosts entnommen: ".$REM_HOST;
      }
      //echo "<br>fnfn  fax to remoteHost: ".$REM_HOST;

     $nr=preg_split("/;/",$numbers);
     $i=0;
     //$REM_HOST=$REMOTE_HOST;  // A, B, C, H, ... (Eintrag in /etc/hosts)


     if (empty($REM_HOST)) { $REM_HOST="client_in_hosts_eintragen"; }
     if ($REM_HOST == "localhost") {
         $cmd="hostname -as";  // den echten Namen des Server bestimmen, i.d.R. "pserver"
         $REM_HOST=exec("$cmd");
         //echo "<br>flfl REM_HOST == localhost, hostname -as: ".$REM_HOST ;
     }
     // REM_HOST  gibt Hosts mit Kleinbuchstaben aus, warum? -> in Grossbuchstaben wandeln
     $dummy=exec("echo '".$REM_HOST."' >/tmp/dummy.txt");
     $REM_HOST=strtoupper($REM_HOST);
     $dummy=exec("echo '".$REM_HOST."' >/tmp/dummy_upper.txt");
     //  /home/faxuser/archivfax/b.txt  leeren
     // User ist: wwwrun. in /etc/passwd /bin/false -> /bin/bash, ssh-key erzeugen, key -> faxuser@lennyfax

     // RPD-Clients empf und labor
     //switch ($wsid) {
     //          case "r1":
     //              // RDP-Client empf (prax2)
     //              $fdisplay=1;
     //              break;
     //          case "t4":
     //              // RDP-Client labor (prax1)
     //              $fdisplay=2;
     //              break;
     //          default:
     //              $fdisplay=0;
     //}

     // in eine F0.txt, H0.txt, F0.txt, .. kommen die Namen der zu faxenden Dateien rein, z.B. F0_20190717100014_scan_5.pdf
     $fdisplay=0;
     //$cmd="ssh faxuser@lennyfax '> /home/faxuser/archivfax/".$REM_HOST.$fdisplay.".txt' 2>&1";
     $cmd="> archivfax/".$REM_HOST.$fdisplay.".txt 2>&1 >>archivfax/archivfax.log;";
     $dummy=exec("$cmd");
     //echo "<br>urur command: ".$cmd."   ".$dummy;

     while ( $nr[$i] ) {    //  $i  are  record numbers (z.B. 20635), not document numbers
         // here: copy fax-files to specific directory (maybe even to a remote machine)
         //echo "<br>jbjb record numbers:".$nr[$i].", ";
         $SQL2="select patNr, docFileName from doarch where id=".$nr[$i];
         $res = mysqli_query($connect,$SQL2);
         $row=mysqli_fetch_array($res);

         //$cmd="scp docc/".$row[docFileName]." faxuser@lennyfax:/home/faxuser/archivfax/".$REM_HOST.$fdisplay."_".$row[docFileName];
         $docNameFax = $REM_HOST.$fdisplay."_".$row[patNr]."_".$nr[$i]."_".$row[docFileName];  // e.g. H0_25700_130755__20181016154558_scan_11.pdf
         $cmd="cp docc/".$row[docFileName]." archivfax/".$docNameFax;

         // z.B. ssh faxuser@lennyfax 'echo b__20101125180522_scan3.pdf >> /home/faxuser/archivfax/b.txt
         //$cmd.="; ssh faxuser@lennyfax 'echo ".$REM_HOST.$fdisplay."_".$row[docFileName]." >> /home/faxuser/archivfax/".$REM_HOST.$fdisplay.".txt;'";
         $cmd.="; echo '".$docNameFax."' >> archivfax/".$REM_HOST.$fdisplay.".txt";
         $dummy=exec("$cmd");
         //echo "<br>fifi  command: ". $cmd;
         //echo "<br>Remote Host: ".$REMOTE_HOST;
         //echo "<br>Remote Addr: ".$REMOTE_ADDR;
         $i++;;
     }
     if ( $i > 0 ) {  // es wurde mind. ein Fax kopiert -> kfax starten
         //$cmd="ssh faxuser@lennyfax 'export DISPLAY=".$REM_HOST.":".$fdisplay.".0;";
         //$cmd="echo 'who am i'; whoami";
         // $dummy=exec("$cmd");
         //echo "<br>cece who am i: ".$dummy;
         $cmd="export DISPLAY=".$REM_HOST.":".$fdisplay.".0;";
         $cmd.="cd /var/archivfax;sudo -u faxuser /var/archivfax/pfax.py ".$row[patNr]." ".$REM_HOST." ".$fdisplay;
         //echo "<br>fsfs command: pfax.py <patnr> <rem-host> <display> ".$cmd;
         $dummy=exec("$cmd");
         //$dummy=system($cmd);  // achtung: system-Aufruf statt exec verursacht jede Menge Text-Ausgaben.
         //echo "<br>sysy  pfax.py-Aufruf: ".$dummy;
         //$dummy=exec("echo '".$dummy."' >/tmp/dummy.txt");
         // delete fax files and empty H0.txt:
         //$cmd="rm archivfax/".$REM_HOST.$fdisplay."_*; > archivfax/".$REM_HOST.$fdisplay.".txt";
         //echo $cmd." - ";
     }
     echo "<h3 style='color:red;'>Das Fax kann unter 'faxj'(PRO-Menu 'Geräte') oder mit Avantfax(Ausgang/Archiv) beobachtet/abgebrochen werden</h3>";

     //$SQL.="order by discipl,datUser";  // für die kommende Anzeige
     $SQL.="order by datUser";  // für die kommende Anzeige
     //echo $SQL;
    break;
//-Fax-: fax code ends (copied from patarch.php)


  default:
    $SQL.="order by id";
    //echo "<br>8888 ".$SQL;
}

?>
                    <br />
                    <div class="table">
                        <div class="rowtop">
                            <div class="col"></div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "sort_id") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='sort_id';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> Nr </button>
                            </div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "s_DatEin") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='s_DatEin';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> Datum/Zeit Eingang</button>
                            </div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "s_dtypUser") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='s_dtypUser';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> Dokument</button>
                            </div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "s_patNr") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='s_patNr';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> Pat-Nr </button>
                            </div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "s_fromTo") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='s_fromTo';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> von/an </button>
                            </div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "s_fromToName") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='s_fromToName';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> von/an Name </button>
                            </div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "s_discipl") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='s_discipl';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> Fachgebiet </button>
                            </div>
                            <div class="col">
                                <button
                                    class="<?php if ($work == "s_datUser") echo "buttontopactive"; else echo "buttontop";?>"
                                    onclick="{self.document.EingForm.work.value='s_datUser';
                                    self.document.EingForm.stoggle.value='<?php echo $stoggle;?>';
				parent.document.getElementsByTagName('frameset')[0].rows='100%,*';
				document.EingForm.submit();}"> Datum f. Archiv </button>
                            </div>
                            <div class="col">
                                Bemerkung
                            </div>
                            <div class="col">
                                <?php echo $pNamA1_initial; ?>
                            </div>
                            <div class="col">
                                <?php echo $pNamA2_initial; ?>
                            </div>
                            <div class="col">
                                <?php echo $pNamA3_initial; ?>
                            </div>
                            <div class="col">
                                <?php echo $pNamA4_initial; ?>
                            </div>
                            <div class="col">
                                <?php echo $pNamMFP_initial; ?>
                            </div>
                        </div>

                        <?php

//$res = mysqli_query($SQL,$connect); error
$res = mysqli_query($connect,$SQL);
$tabtrenner="</div>\n<div class=\"col\">"; //"</td><td>";
$zeilenende="</div>\n</div>\n"; //"</td></tr>\n";
//echo"<br><br>kgkg: SQL: ".$SQL;

$farbwechsel=0;
while ($row = mysqli_fetch_array($res)) {
    if ($farbwechsel == 0) {
       //--echo "<tr bgcolor=\"#dce2ea\"><td>\n";
       echo "<div class=\"rowalt\">\n\t<div class=\"col\">\n";
       $farbwechsel=1;
    } else {
       //--echo "<tr><td>\n";
       echo "<div class=\"row\">\n\t<div class=\"col\">\n";
       $farbwechsel=0;
    }
    //$row=mysqli_fetch_array($res); // nächster Satz auslesen
    // im folgenden 2 Techniken für ein hash der jeweiligen Zeile: (nicht ganz gleich , siehe [neu: ..
    //  zum einen die mit der function hash123() für jede Zeile,
    //  (die Ausgliederung war notwendig, weil das zweite " von Timeout(" ...")
    //   auch trotz \"  nicht angezeigt wurde),
    //  zum anderen der Aufruf
    //  top.f_inbox.location=\"inbox.php#marke".$row[id].....
    //  der in bilder.php nicht mit einem reload gemeinsam ausführbar war.
    //    [neu: weil das schon selber einen reload macht!!!! <-> im Gegensatz
    //          zu dem reinen hash!
    //  Hier hatte ich versucht ein location.reload vor den jeweiligen hash
    //  zu setzen, was mißlingt, es wird inbeiden Fällen kein hash mehr aus-
    //  geführt. Das steht im Wiederspruch zu dem reload und hash in bilder.php
    //  Die einzige Erklärung dafür ist m.e., daß ein reload und ein Timeout(...hash ..)
    //  nur dann funktioniert, wenn es in einem ANDEREN Frame ausgeführt wird,
    //  wie in bilder.php, und nicht AUF SICH SELBER. Das wäre auch logisch, in
    //  dem Fall eines reload auf sich selber ist ja der Code neu geladen und
    //  die Verbindung zum vorherigen Code unterbrochen.
    $ro1=$ro2;
    $ro2=$ro3;  // collect history of row[id]  , example  ro2=140399
    $ro3=$ro4;  // aim: jump with hash markXXXX not to TOP but 2 rows underneath
    $ro4=$row[id];  // set as hash in following script the third-previous row[id]
    //echo $ro2;   // debug
    echo "<script>";
    echo "function hash".$row[id]."()";
    echo "{";
    echo "  setTimeout(\"top.frames['f_inbox'].location.hash='marke".$ro1."'\",0);";
    echo "}";
    echo "</script>";
    $s="\n\n<input type=checkbox name=sel_it  class=sel_it";
    $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"70%,*\";";
    $s.="top.f_control.location=\"select.php?pers=".$pers."&wsid=".$wsid."&ano9=".$ano9;
    if ($row[dtype] == "fax" ) {
        $s.="&spezial=fax";
    }
    $s.="\";hash".$row[id]."()'>".$tabtrenner;
    $s.="\n<input type=button class='buttonsimple' name='rowNr' value='".$row[id]."'";
    $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"70%,*\";";
    $s.="top.f_control.location=\"felder.php?aiNr=".$row[id]."&pers=".$pers."&wsid=".$wsid."&ano9=".$ano9."\";";
    //if($ano9 == 1) {
    if(TRUE) {   // not jump to #marke !! otherwise problems with internal PDF-Viewer!
        //if anonymised, then no reload of inbox.php because user on the road and has poor internet connection
        $s.="DisplayItem(\"docc/" . $row[docFileName] . "\", \"pdf\");'>".$tabtrenner;
    } else {
        $s.="top.f_inbox.location=\"inbox.php?pers=".$pers."&wsid=".$wsid."#marke".$row[id]."\";DisplayItem(\"docc/" . $row[docFileName] . "\", \"pdf\");'>".$tabtrenner;
    }

    echo $s;
    $dd=substr($row[dateIn],8,2).".".substr($row[dateIn],5,2).".".substr($row[dateIn],0,4);
    //echo $row[dateIn]."xx "; # eg nur test!
    $dd.=" - ".substr($row[dateIn],11,8);
    echo $dd.$tabtrenner;
    //--echo "\n<a name=\"marke".$row[id]."\" />";
    echo "\n<a name=\"marke".$row[id]."\"></a>";
    $s="\n<input name='scansQuant' size=2 value='".$row[anz]."' type='hidden'>";
    $s.="<input type='button' class='buttonsimpleextended' name='nbutton' value='".$row[dtypUser];

    // aiNr  $aiNr  is   auto increment nr (row id in table d)
    $rr=$row[anz];
    if ($rr == NULL) $rr=1;
    if ($row[dtypUser] == "") $s.="(".$rr." S.)";
       else
         if ($row[anz] > 1) $s.="(".$row[anz]." S.)";

    $s.="'";
    //echo"<br>typ: ".$row[dtype];
    if (intval($row[anz]) > 0) {
	    $noTif = 0;
	} else {
		$noTif = 1;
	}
    switch ($row[dtype]) {
       case "scan":
         $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"50%,*\";";
         $s.="top.f_control.location=\"bilder.php?aiNr=".$row[id]."&pers=".$pers."&wsid=".$wsid."&ano9=".$ano9."\";'";
         //$s.="top.f_inbox.location=\"inbox.php?pers=".$pers."&wsid=".$wsid."#marke".$row[id]."\";'";
         break;
       case "scan-pdf":
       case "scan-tiff":
       case "gfax":
       case "fax":
         $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"100%,*\";";
         $s.=" document.location.href=\"docc/".$row[docFileName]."\";'";
         //$s.=" onClick=\"DisplayItem('docc/" . $row[docFileName] . "', 'pdf');\"";
         break;
       case "upload":
         $s.=" onClick='parent.document.getElementsByTagName(\"frameset\")[0].rows=\"100%,*\";";
         $s.=" document.location.href=\"docc/".$row[docFileName]."\";'";
         break;
    }
    echo $s;
    echo ">";//\n".$tabtrenner;
    // noTif means, document is pdf, png, jpg, odt, doc etc
    echo "<input type='hidden' name='noTif' value='" . $noTif . "' />";
    echo "\n".$tabtrenner;
    echo $row[patNr].$tabtrenner;
    echo "<input name='patNr' size=10 type='hidden' value=".$row[patNr].">"; //für Zugriff von select.php
    echo $row[fromTo].$tabtrenner; /* === fromTo is set to: "from" (german "von") or "to" (german: "an"). It appears in archive table as attribute for name in fromToName === */
    echo $row[fromToName].$tabtrenner;  /* === fromToName is: from-name  or to-name: document sent from XXXX oder document sent to XXXX === */
    echo $row[discipl].$tabtrenner."\n";
    $dd=substr($row[datUser],8,2).".".substr($row[datUser],5,2).".".substr($row[datUser],0,4);
    echo $dd.$tabtrenner;
    echo $row[rem5].$tabtrenner;  /* === rem5 is: remark for each document === */
    if ($row[archA1]==0)  echo "_"; else if ($row[archA1]==1) echo "A"; else echo "L";
    echo $tabtrenner;
    if ($row[archA2]==0)  echo "_"; else if ($row[archA2]==1) echo "A"; else echo "L";
    echo $tabtrenner;
    if ($row[archA3]==0)  echo "_"; else if ($row[archA3]==1) echo "A"; else echo "L";
    echo $tabtrenner;
    if ($row[archA4]==0)  echo "_"; else if ($row[archA4]==1) echo "A"; else echo "L";
    echo $tabtrenner;
    if ($row[archMFP]==0)  echo "_"; else if ($row[archMFP]==1) echo "A"; else echo "L";
    echo $zeilenende;
    if ($row[laName]) {
      if ($farbwechsel == 1) {
         //--echo "<tr bgcolor=\"#dce2ea\"><td>\n";
         echo "<div class=\"rowalt\" id=\"namediv\"><div class=\"col\">\n";
         //echo "<div class=\"rowa\">";
      } else {
         //--echo "<tr><td>\n";
         echo "<div class=\"row\" id=\"namediv\"><div class=\"col\">\n";
         //echo "<div class=\"rowa\">";
      }
      //--echo "</td><td></td><td colspan=12>";
      echo "</div><div class=\"col\"></div><div class=\"col\" id=\"namedivcol\">";
      if($ano9 == 1)    //anonymisation
          echo substr($row['laName'], 0, 1) . "..., " . substr($row['fiName'], 0, 1) . "... (".$row['sexP'].")   geb.:" . substr($row['dateBirth'], 0, 1) . "...";
      else
         echo $row['laName'] . ", " . $row['fiName'] . " (" . $row['sexP'] . ")   geb.:" . $row['dateBirth'];


      echo "</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">
      		</div><div class=\"col\">";
      echo $zeilenende; // $zeilenende="</div>\n</div>\n";
      //echo "</div>";
    }
 }  //while
	//--echo "</table>";
	echo "</div>"; /* End <div class="table"> */

echo "<div class=\"rightdiv\"><input type=\"button\" style=\"background: lightgrey; width: 30px; height: 30px; float: left;\" id=\"CheckBoxButtonALL\" ";
echo "onclick='ToggleCheckBoxAll();parent.document.getElementsByTagName(\"frameset\")[0].rows=\"70%,*\";";
echo "top.f_control.location=\"select.php?pers=".$pers."&wsid=".$wsid."&ano9=".$ano9.";\"' value='A' />";
echo "&nbsp;&nbsp;&nbsp;";
echo "<input type=\"button\" class=\"buttoncancel\" name=\"SingleUpload\" id=\"SingleUpload\" value=\"xzxLoad up Documents\" onclick=\"window.open('singleUpload.php?patNr=0', '_blank');\" /></div>";

   ?>
                    </div><?php /* End <div class="contentsarchiv"> */ ?>

                </div><?php /* End <div id="body"> */ ?>

                </form> <!-- form EingForm english: InputForm-->

                <script>
                <?php
   if ($not_deleted != "")
       // the records $not_deleted could not be deleted because at least one doctor has archived. Now You can only make a recommendation to delete it.
     echo 'alert("Es können die Datensätze: '.$not_deleted.' nicht gelöscht werden, weil bereits von zumindest einem Arzt archiviert! Sie können nur \'Empfehlung: löschen\' auswählen.");';
 ?>
                </script>
    </body>

</html>
