#!/bin/bash

cat doc2faxEmail.php |	sed 's/xzxdoc2faxEmail/Dokumente per E-Mail oder Fax versenden/g' | sed 's/xzxContacts Directory/Adressbuch/g' |\
    sed 's/xzxSearch Contacts/Volltextsuche Adressbuch/g'                                 | sed 's/xzxalternative file/Einzel-Dokument/g' | \
    sed 's/xzxLoading... Please wait./Dokumente werden geladen... Bitte warten./g'        | sed 's/xzxDrop files here/Dokumente hier fallen lassen/g' | \
    sed 's/xzxDrop files in the box above/Dokumente in der Box oberhalb fallen lassen/g'  | sed 's/xzxFile Upload Manager/Dateien prüfen/g' | \
    sed 's/xzxNo files added./Keine Dateien vorhanden/g'                                  | sed 's/xzxManage files before upload/Dateien vor dem Hochladen prüfen\/löschen/g' | \
    sed 's/xzxFunctions\/Controls/Zusatzfunktionen/g'  | \
    sed 's/xzxDownload ZIP (images-to-A4-pdf)/ZIP-Archiv herunterladen (Bilder-zu-A4-pdf)/g'       | \
    sed 's/xzxDownload ZIP (images as raw files)/ZIP-Archiv herunterladen (Bilder als jpg\/png)/g' | \
    sed 's/xzxShow Fax document (PDF, images-to-A4)/Fax-Dokument anzeigen (PDF, Bilder-zu-A4)/g'   |  sed 's/xzxSelected Contact/Ausgewählter Kontakt/g' | \
    sed 's/xzxText FaxCover\/ Email/Text für Email\/ Fax-Deckblatt/g' > doc2faxEmail_german.php




cat doc2faxEmail_faxemailform.php | sed 's/xzxSubject (Email only):/Betreff (nur E-Mail)/g' | sed 's/xzxMessage:<br \/>(FaxCover, Email)/Nachricht:<br \/>(Email, Fax-Deckblatt)/g' | \
    sed 's/xzxMessage:<br \/>(FaxCover, Email)/Nachricht:<br \/>(E-Mail, Fax-Deckblatt)/g' |  sed 's/xzxCc (Email only):/Cc (Nur E-Mail):/g' |\
    sed 's/xzxSend Fax/Fax senden/g' | sed 's/xzxSend Email/E-Mail senden/g'  > doc2faxEmail_faxemailform_german.php

cat doc2faxEmail_contactform.php | sed 's/xzxNew contact/Neuer Kontakt:/g' |  sed 's/xzxName\/Office:/Name\/Praxis\/Klinik:/g' | \
    sed 's/xzxRemark:/Bemerkung:/g' |  sed 's/xzxCode encrypt:/Verschlüsslungs-KW:/g' | \
    sed 's/xzxFax Number:/Fax-Nummer:/g' | sed 's/xzxSave changes/Speichern/g' |  sed 's/xzxClear/Felder leeren\/Neue Adresse/g' > doc2faxEmail_contactform_german.php

cat doc2faxEmail_head.php | sed 's/xzxSet Encrypt-Code/Verschlüsslungs-Code eingeben/g' | \
    sed 's/xzxChange Password, length 7 to 10 chars:/Verschlüsselungs-Code ändern, 7-10 Zeichen (kein "\&"):/g' | \
    sed 's/xzxSet New Encrypt-Code/Neuen Verschlüsslungs-Code setzen /g' | sed 's/xzxCode:/Kennwort:/g' |  sed 's/xzxSave Password/Speichern/g' | \
    sed 's/xzxCancel/Abbrechen/g' | sed 's/xzxDrop files below to upload/Dokumente unterhalb fallen lassen/g' | \
    sed 's/xzxUpdate selected contact/Angezeigte Kontakt aktualisieren/g' | sed 's/xzxNew contact/Neuer Kontakt:/g' | \
    sed 's/xzxDocuments attached from/angehängte Dokumente von /g' | \
    sed 's/"xzxsuccess"/"Erfolg!"/g' | sed 's/"xzxerror"/"Fehler!"/g' |  sed 's/xzxscans copied successfully./Scans wurden erfolgreich kopiert./g' | \
    sed 's/xzxSendFax request sent. Awaiting confirmation.../Fax-Versand ist eingeleitet. Warten auf Bestätigung.../g' | \
    sed 's/xzxPlease wait while your email is queued for transmission./Bitte warten, die E-Mail ist im Versand./g' | \
    sed 's/xzxFile list is empty. Please upload documents first./Liste der Dokumente ist leer. Bitte zuerst Dokumente hochladen./g' | \
    sed 's/xzxNo scan files selected./Keine Dateien ausgewählt/g' | \
    sed 's/xzxDrop files below to upload/Dokumente unterhalb fallen lassen, um sie hochzuladen/g' | sed 's/xzxFiles uploaded successfully/Dokumente erfolgreich hochgeladen/g' | \
    sed 's/xzxProcessing preview images... please wait!/Vorschaubilder werden erzeugt... bitte warten./g' |\
    sed 's/xzxContact saved successfully/Kontakt wurde gespeichert/g' | \
    sed 's/xzxMinimum fax number length of <?php echo $faxnumberlength; ?> required./Minimale Faxnummer-Länge von <?php echo $faxnumberlength; ?> notwendig./g' | \
    sed 's/xzxSendEmail request sent. Awaiting confirmation.../E-Mail-Versand ist eingeleitet. Warten auf Bestätigung.../g' | \
    sed 's/xzxPlease wait while your fax is queued for transmission./Bitte warten, das Fax ist im Versand./g' | \
    sed 's/xzxPreparing documents.../Dokumente vorbereiten.../g' |  sed 's/xzxPlease wait while your zip-file is prepared./Bitte warten während Ihre ZIP-Datei erstellt wird./g' | \
    sed 's/xzxLoading Fax document.../Fax-Dokument laden.../g' | sed 's/xzxPlease wait while your fax document is loaded./Bitte warten während Ihr Fax-Dokument lädt. /g' | \
    sed 's/xzxOriginal files not processed completely. Please wait for them to complete and then retry./Die Dokumente sind nocht nicht vollständig verarbeitet. Bitte warten und neu versuchen./g' |\
    sed 's/xzxFile list is empty. Please upload documents and then retry./Dateiliste ist leer! Bitte Dokumente hochladen und neue versuchen./g' | \
    sed 's/xzxPreparing Fax document.../Fax-Dokumente vorbereiten.../g' |  sed 's/xzxPlease wait while your fax document is prepared./Bitte warten./g' | \
    sed 's/xzxFax document ready/Fax-Dokumente steht zur Verfügung/g' | sed 's/xzxFax document prepared. Sending fax./Fax-dokument vorbereitet. Fax wird versendet./g' | \
    sed 's/xzxFax document ready/Fax-Dokument bereit/g' | sed 's/xzxEmail document prepared. Preparing ZIP-file./Email-Dokumente stehen zur Verfügung. ZIP-Datei wird erstellt./g' | \
    sed 's/xzxLoading Documents.../Dokumente werden geladen.../g' | sed 's/xzxPlease wait while your archive link is loaded./Dokumente werden geladen. Bitte warten /g' | \
    sed 's/xzxFile list is empty. Please load documents and then retry./Dateiliste ist leer. Bitte Dokumente laden, dann neu versuchen./g' | \
    sed 's/xzxPlease wait while your zip-file file is prepared./Bitte warten während die ZIP-Datei erstellt wird./g' |  \
    sed 's/xzxImporting documents.../Importieren der Dokumente.../g' | sed 's/xzxPlease wait... importing documents./Bitte warten... Dokumente werden importiert./g' | \
    sed 's/xzxPassword saved successfully/Kennwort wurde gespeichert/g' | sed 's/xzxDownload File/ZIP-Datei Herunterladen/g' | \
    sed 's/xzxZIP-Archive password:/ZIP-Datei Kennwort:/g' | sed 's/xzxDownload encrypted ZIP-Archive/Verschlüsselte ZIP-Datei herunterladen(Klick!)/g' | \
    sed 's/xzxZIP-Archive is not encrypted! Type in/Die ZIP-Datei nicht verschlüsselt herunterladen! Bitte eingeben /g' |  sed 's/xzx for download//g' |
    sed 's/xzxDownload open ZIP-Archive/Nicht verschlüsselte ZIP-Datei herunterladen(Klick!)/g' | sed 's/xzxRetry/Bitte wiederholen/g' |  sed 's/ / /g' |  sed 's/ / /g' > doc2faxEmail_head_german.php

#	sed 's/ / /g' | sed 's/ / /g' |  sed 's/ / /g' |  sed 's/ / /g' | \


cat doc2faxEmail_sendEmail.php | sed 's/xzxEmail sent to /E-Mail wurde gesendet an: /g' | sed 's/xzxDocument file URL: /Dokumente-URL: /g' | \
    sed 's/ / /g' >  doc2faxEmail_sendEmail_german.php

cat doc2faxEmail_sendFax.php | sed 's/xzxFax was sent with Fax-Nr:/Fax wurde gesendet an:/g' | sed 's/ / /g' > doc2faxEmail_sendFax_german.php

cat doc2faxEmail_functions.php | sed 's/xzxClick to send password via fax/Hier klicken um das Entschlüsselungs-Kennwort per Fax zu senden/g' | \
    sed 's/xzxThe decrypt code for all ZIP-files from us,/Der Entschlüsslungscode für alle ZIP-Dateien von uns,/g' | \
    sed 's/xzxRemark:/Bemerkung:/g' |  sed 's/xzxCode:/Kennwort:/g' |  sed 's/ / /g' > doc2faxEmail_functions_german.php




# ================  includes auf "german" ändern ===============

cat doc2faxEmail_german.php | sed 's/include("doc2faxEmail_contactform.php")/include("doc2faxEmail_contactform_german.php")/g' | \
    sed 's/include("doc2faxEmail_faxemailform.php")/include("doc2faxEmail_faxemailform_german.php")/g' | \
    sed 's/include("doc2faxEmail_head.php")/include("doc2faxEmail_head_german.php")/g' > doc2faxEmail_german.tmp
mv doc2faxEmail_german.tmp doc2faxEmail_german.php

cat doc2faxEmail_functions_german.php | sed 's/include("doc2faxEmail_sendFax.php")/include("doc2faxEmail_sendFax_german.php")/g' | \
    sed 's/include("doc2faxEmail_sendEmail.php")/include("doc2faxEmail_sendEmail_german.php")/g' > doc2faxEmail_functions_german.tmp
mv doc2faxEmail_functions_german.tmp doc2faxEmail_functions_german.php

cat doc2faxEmail_head_german.php | sed 's/doc2faxEmail_functions.php/doc2faxEmail_functions_german.php/g' > doc2faxEmail_head_german.tmp
mv doc2faxEmail_head_german.tmp doc2faxEmail_head_german.php


#
#	sed 's/ / /g' | sed 's/ / /g' |  sed 's/ / /g' |  sed 's/ / /g' | \
